## org.apache.maven.shared.jar.identification
Class JarIdentification

    java.lang.Object
      org.apache.maven.shared.jar.identification.JarIdentification

    public class JarIdentification

extends java.lang.Object

Gathered Maven information about the JAR file. Stores both assumed/validated values and potential values.

See Also:
  `JarIdentificationAnalysis.analyze(org.apache.maven.shared.jar.JarAnalyzer)`

Constructor Summary
`JarIdentification()`

Method Summary
`void` `addAndSetArtifactId(java.lang.String artifactId)` Add a validated artifact ID.
`void` `addAndSetGroupId(java.lang.String groupId)` Add a validated group ID.
`void` `addAndSetName(java.lang.String name)` Add a validated artifact name.
`void` `addAndSetVendor(java.lang.String name)` Add a validated vendor name.
`void` `addAndSetVersion(java.lang.String version)` Add a validated version.
`void` `addArtifactId(java.lang.String artifactId)` Add a potential artifact ID.
`void` `addGroupId(java.lang.String groupId)` Add a potential group ID.
`void` `addName(java.lang.String name)` Add a potential artifact name.
`void` `addVendor(java.lang.String name)` Add a potential vendor name.
`void` `addVersion(java.lang.String version)` Add a potential version.
`java.lang.String` `getArtifactId()`
`java.lang.String` `getGroupId()`
`java.lang.String` `getName()`
`java.util.List` `getPotentialArtifactIds()`
`java.util.List` `getPotentialGroupIds()`
`java.util.List` `getPotentialNames()`
`java.util.List` `getPotentialVendors()`
`java.util.List` `getPotentialVersions()`
`java.lang.String` `getVendor()`
`java.lang.String` `getVersion()`
`void` `setArtifactId(java.lang.String artifactId)`
`void` `setGroupId(java.lang.String groupId)`
`void` `setName(java.lang.String name)`
`void` `setVendor(java.lang.String vendor)`
`void` `setVersion(java.lang.String version)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JarIdentification

    public JarIdentification()

Method Detail

### addAndSetGroupId

    public void addAndSetGroupId(java.lang.String groupId)

  Add a validated group ID.

  Parameters:
    `groupId` - the group ID discovered

### addGroupId

    public void addGroupId(java.lang.String groupId)

  Add a potential group ID.

  Parameters:
    `groupId` - the group ID discovered

### addAndSetArtifactId

    public void addAndSetArtifactId(java.lang.String artifactId)

  Add a validated artifact ID.

  Parameters:
    `artifactId` - the artifact ID discovered

### addArtifactId

    public void addArtifactId(java.lang.String artifactId)

  Add a potential artifact ID.

  Parameters:
    `artifactId` - the artifact ID discovered

### addAndSetVersion

    public void addAndSetVersion(java.lang.String version)

  Add a validated version.

  Parameters:
    `version` - the version discovered

### addVersion

    public void addVersion(java.lang.String version)

  Add a potential version.

  Parameters:
    `version` - the version discovered

### addAndSetVendor

    public void addAndSetVendor(java.lang.String name)

  Add a validated vendor name.

  Parameters:
    `name` - the vendor name discovered

### addVendor

    public void addVendor(java.lang.String name)

  Add a potential vendor name.

  Parameters:
    `name` - the vendor name discovered

### addAndSetName

    public void addAndSetName(java.lang.String name)

  Add a validated artifact name.

  Parameters:
    `name` - the artifact name discovered

### addName

    public void addName(java.lang.String name)

  Add a potential artifact name.

  Parameters:
    `name` - the artifact name discovered

### getArtifactId

    public java.lang.String getArtifactId()

### setArtifactId

    public void setArtifactId(java.lang.String artifactId)

### getGroupId

    public java.lang.String getGroupId()

### setGroupId

    public void setGroupId(java.lang.String groupId)

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getVendor

    public java.lang.String getVendor()

### setVendor

    public void setVendor(java.lang.String vendor)

### getVersion

    public java.lang.String getVersion()

### setVersion

    public void setVersion(java.lang.String version)

### getPotentialVersions

    public java.util.List getPotentialVersions()

### getPotentialNames

    public java.util.List getPotentialNames()

### getPotentialGroupIds

    public java.util.List getPotentialGroupIds()

### getPotentialArtifactIds

    public java.util.List getPotentialArtifactIds()

### getPotentialVendors

    public java.util.List getPotentialVendors()

Copyright © 2011. All Rights Reserved.